<?xml version="1.0"?>

<!--   FILE: usage.xslt - -->
<!-- AUTHOR: W. Michael Petullo (mike@flyn.org) -->
<!--   DATE: 27 June 2002 -->

<!-- Copyright (C) 2002 W. Michael Petullo (mike@flyn.org) -->
<!-- All rights reserved. -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml"/>

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="usage">
	<para>
	<variablelist>
	<xsl:apply-templates select="option"/>
	<xsl:apply-templates select="argument"/>
	</variablelist>
	</para>
</xsl:template>

<xsl:template match="usage/option">
	<varlistentry>
	<term><xsl:apply-templates select="name"/></term>
	<listitem><xsl:apply-templates select="description"/></listitem>
	</varlistentry>
</xsl:template>

<xsl:template match="usage/argument">
	<varlistentry>
	<item>-<xsl:value-of select="substring (name, 1, 1)"/>, --<xsl:apply-templates select="name"/></item>
	<listitem><xsl:apply-templates select="description"/></listitem>
	</varlistentry>
</xsl:template>

</xsl:stylesheet>
